Bug 507472 - tv card not listed by pavucontrol
tv card not listed by pavucontrol
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
All Linux
low Severity high
: ---
: ---
Assigned To: Jaroslav Kysela
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 513462
  Show dependency treegraph
 
Reported: 2009-06-22 17:43 EDT by Christophe GRENIER
Modified: 2010-06-28 09:13 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:13:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
alsa-info output (39.09 KB, text/plain)
2009-06-22 17:43 EDT, Christophe GRENIER
no flags Details
"pulseaudio -vvvvv" output (108.17 KB, text/plain)
2009-06-29 15:16 EDT, Christophe GRENIER
no flags Details
"pulseaudio -vvvvv" output pulseaudio-0.9.15-14.fc11.x86_64 - 2.6.29.6-213.fc11.x86_64 (108.17 KB, text/plain)
2009-07-24 02:45 EDT, Christophe GRENIER
no flags Details
"pulseaudio -vvvvv" output pulseaudio-0.9.15-17.fc11.x86_64 2.6.30.5-43.fc11.x86_64 (110.11 KB, text/plain)
2009-09-22 11:28 EDT, Christophe GRENIER
no flags Details

  None (edit)
Description Christophe GRENIER 2009-06-22 17:43:21 EDT
Created attachment 349003 [details]
alsa-info output

Description of problem:
saa7134-alsa tvcard isn't listed by pavucontrol. There is no way to redirect the output of the TV card to the sound card.

How reproducible:
Always

Steps to Reproduce:
1. Boot a computer with saa7134 TVcard
2. Run pavucontrol
  
Actual results:
pulseaudio output:
E: module.c: Failed to load  module "module-alsa-card" (argument: "device_id=1 name=pci_1131_7133_sound_card_0 card_name=alsa_card.pci_1131_7133_sound_card_0 tsched=1"): initialization failed.

Expected results:
No error in pulseaudio. Being able to listen to the TV
Comment 1 Lennart Poettering 2009-06-29 07:55:17 EDT
Please run "pulseaudio -vvvvv" in a terminal (run pulseaudio -k first to kill the running instance) and paste the output here, please.
Comment 2 Christophe GRENIER 2009-06-29 15:16:36 EDT
Created attachment 349855 [details]
"pulseaudio -vvvvv" output
Comment 3 Lennart Poettering 2009-06-29 15:58:02 EDT
Which version of the PA package is this? 0.9.15-14? Or -10?

If it is not -14, could you please update and retry with -14?
Comment 4 Christophe GRENIER 2009-06-29 16:36:51 EDT
I am already using pulseaudio-0.9.15-14.fc11.x86_64

Currently I have to run "sox -q -r 32000 -t alsa hw:1,0 -t alsa default &; tvtime &" to get both TV audio and video
Comment 5 Lennart Poettering 2009-07-23 09:51:18 EDT
Are ou sure the pulseaudio -vvv ouput you posted is from -14?
Comment 6 Christophe GRENIER 2009-07-24 02:45:07 EDT
Created attachment 354982 [details]
"pulseaudio -vvvvv" output pulseaudio-0.9.15-14.fc11.x86_64 - 2.6.29.6-213.fc11.x86_64
Comment 7 Christophe GRENIER 2009-07-24 02:45:54 EDT
The "pulseaudio -vvvvv" output was really from -14.
Comment 8 Lennart Poettering 2009-07-24 20:46:29 EDT
This seems to be a driver bug. snd_pcm_hw_params() fails, printing I: (alsa-lib)pcm_hw.c: SNDRV_PCM_IOCTL_HW_PARAMS failed.

No clue what happens there. REassigning to kernel.
Comment 9 Christophe GRENIER 2009-09-22 11:28:00 EDT
Created attachment 362107 [details]
"pulseaudio -vvvvv" output pulseaudio-0.9.15-17.fc11.x86_64 2.6.30.5-43.fc11.x86_64

Better, I don't need to use sox anymore to redirect the TV sound to the speakers.
TV sound can be turn on/off using pavucontrol in Output Devices/Internal Audio mute button. The sound volume is the same even if using the volume slider.
Comment 10 Raymond 2010-03-30 20:13:26 EDT
(In reply to comment #8)
> This seems to be a driver bug. snd_pcm_hw_params() fails, printing I:
> (alsa-lib)pcm_hw.c: SNDRV_PCM_IOCTL_HW_PARAMS failed.
> 
> No clue what happens there. REassigning to kernel.    

This seem to be driver issue since the hw_params callback of saa7134 still reject some of hw_params (period and period_size) , the driver should put this constraints either at snd_pcm_hardware snd_card_saa7134_capture or snd_card_saa7134_capture_open()

http://git.alsa-project.org/?p=alsa-kernel.git;a=blob;f=drivers/media/video/saa7134/saa7134-alsa.c

static int snd_card_saa7134_hw_params(struct snd_pcm_substream * substream,
				      struct snd_pcm_hw_params * hw_params)
{
...

	period_size = params_period_bytes(hw_params);
	periods = params_periods(hw_params);

	if (period_size < 0x100 || period_size > 0x10000)
		return -EINVAL;
	if (periods < 4)
		return -EINVAL;
	if (period_size * periods > 1024 * 1024)
		return -EINVAL;
Comment 11 Bug Zapper 2010-04-27 11:10:45 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2010-06-28 09:13:50 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.